### Hierarchy

- DeepCopy<OfferInteraction>
  - OfferInteraction

## Index

### Constructors

- constructor

### Properties

- createdAt
- events
- id
- info
- offerId
- owner
- state
- updatedAt

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson
- fromJson

## Constructors

### constructor

- new OfferInteraction(offerId?: number, events?: Array<string>): OfferInteraction

- - Defined in repository/models/OfferInteraction.ts:21

  #### Parameters

  - ##### Default value offerId: number = 0

  - ##### Default value events: Array<string> = []

  #### Returns OfferInteraction

## Properties

### createdAt

createdAt: Date = new Date()

- Defined in repository/models/OfferInteraction.ts:12

### events

events: Array<string>

- Defined in repository/models/OfferInteraction.ts:11

### id

id: number = 0

- Defined in repository/models/OfferInteraction.ts:6

### info

info: string

- Defined in repository/models/OfferInteraction.ts:10

### offerId

offerId: number = 0

- Defined in repository/models/OfferInteraction.ts:8

### owner

owner: string = "0x0"

- Defined in repository/models/OfferInteraction.ts:7

### state

state: OfferResultAction = OfferResultAction.NONE

- Defined in repository/models/OfferInteraction.ts:9

### updatedAt

updatedAt: Date = new Date()

- Defined in repository/models/OfferInteraction.ts:13

## Methods

### copy

- copy(changeArgs?: JsonObject<OfferInteraction>): OfferInteraction

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<OfferInteraction>

  #### Returns OfferInteraction

### Protected deepCopyFromJson

- deepCopyFromJson(): OfferInteraction

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/OfferInteraction.ts:41

  #### Returns OfferInteraction

### Protected getClass

- getClass(): ClassCreator<OfferInteraction>

- Overrides DeepCopy.getClass

  - Defined in repository/models/OfferInteraction.ts:45

  #### Returns ClassCreator<OfferInteraction>

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/OfferInteraction.ts:32

  #### Returns object

### Static fromJson

- fromJson(json: object): OfferInteraction

- - Defined in repository/models/OfferInteraction.ts:15

  #### Parameters

  - ##### json: object

  #### Returns OfferInteraction

Generated using TypeDoc